Skip to content
v1.0.0
OpenAPI 3.0.1

UtaProxy API Documentation

Welcome to the UtaProxy API. Use these endpoints to manage your proxy plans, generate endpoints, configure sub-accounts, and more.

Authentication

All API requests require an API Key passed in the apiKey request header.

Get your API Key →

Sign in to your Dashboard, open Settings, and create or copy an API key before calling any endpoint.

Base URL

https://www.utaproxy.com/api

Proxy Types

Value Type
1 Rotating Residential
2 Rotating Mobile
3 Rotating Datacenter
Server:https://www.utaproxy.com/api

Production environment

Client Libraries

Account & Billing (Collapsed)

Manage account balance, subscription plans, usage statistics, and API call logs.

Query API Logs

Retrieve the API call logs associated with a specific API key within a specified time range.

Query Parameters
  • startTime
    Type: string · startTime

    Start time for the logs in yyyy-MM-dd HH:mm:ss format. Please ensure that this time is converted to the UTC+8 timezone. If omitted or left blank, the earliest logs will be returned.

  • endTime
    Type: string · endTime

    End time for the logs in yyyy-MM-dd HH:mm:ss format. Please ensure that this time is converted to the UTC+8 timezone. If omitted or left blank, the latest available logs will be returned.

Responses
  • application/json
Request Example for get/uta-api/v1/logs
curl https://www.utaproxy.com/api/uta-api/v1/logs \
  --header 'apiKey: YOUR_SECRET_TOKEN'
{
  "logs": [
    {
      "id": "log_id_1",
      "customerId": "customer_id",
      "url": "/v1/resource",
      "method": "GET",
      "success": true,
      "requestBody": "[]",
      "response": "[]",
      "createTime": "2024-12-01 14:30:00 UTC+8"
    }
  ]
}

Check Balance

Check the current balance of your account.

Responses
  • application/json
Request Example for get/uta-api/v1/checkBalance
curl https://www.utaproxy.com/api/uta-api/v1/checkBalance \
  --header 'apiKey: YOUR_SECRET_TOKEN'
{
  "balance": "100.00"
}

Get Plan Details

Get the details of proxy plans associated with your account.

Query Parameters
  • proxyType
    Type: integer · proxyType
    required

    The proxy type to query. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter.

Responses
  • application/json
Request Example for get/uta-api/v1/account/plan
curl 'https://www.utaproxy.com/api/uta-api/v1/account/plan?proxyType=1' \
  --header 'apiKey: YOUR_SECRET_TOKEN'
{
  "plan": [
    {
      "status": 1,
      "totalTraffic": "1.0",
      "availableTraffic": "0.9",
      "planName": "1GB",
      "effectTime": "2024-12-01 15:30:00 UTC+8",
      "expireTime": "2025-01-01 15:30:00 UTC+8",
      "orderId": "HW20241201153000000",
      "billingCycle": "one_time"
    }
  ]
}

Get Usage Details

Get the usage details of a specified proxy plan.

Query Parameters
  • proxyType
    Type: integer · proxyType
    required

    The proxy type to query. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter.

  • orderId
    Type: string · orderId
    required

    Specify the order ID to query a specific plan.

Responses
  • application/json
Request Example for get/uta-api/v1/account/plan/usage
curl 'https://www.utaproxy.com/api/uta-api/v1/account/plan/usage?proxyType=1&orderId=' \
  --header 'apiKey: YOUR_SECRET_TOKEN'
{
  "usage": [
    {
      "totalTraffic": "100.00",
      "availableTraffic": "100.00",
      "useTraffic": "0.00",
      "orderId": "HW20241201153000000",
      "proxyType": "1 - Rotating Residential"
    }
  ]
}

Proxy Account (Collapsed)

View and update rotating proxy credentials, traffic limits, and remarks.

Proxy Endpoints (Collapsed)

Retrieve default or customized proxy endpoint strings for your use case.

Location Lookup (Collapsed)

Query available continents, countries, regions, and cities for geo-targeted proxies.

IP Whitelist (Collapsed)

Manage whitelisted IP addresses for password-free proxy authentication.

Add Whitelisted IP

Add a whitelisted IP address to allow use of proxies without requiring a username and password.

Body·
application/json
  • ipAddress
    Type: string · ipAddress
    required

    The IPv4 address you want to whitelist.

  • proxyType
    Type: integer · proxyType
    required

    The proxy type to which the whitelisted IP should be applied. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter.

  • remarks
    Type: string · remarks

    Optional remark or description about the whitelisted IP.

Responses
  • application/json
Request Example for post/uta-api/v1/ipWhite/add
curl https://www.utaproxy.com/api/uta-api/v1/ipWhite/add \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'apiKey: YOUR_SECRET_TOKEN' \
  --data '{
  "proxyType": 1,
  "ipAddress": "",
  "remarks": ""
}'
Success

Delete Whitelisted IP

Remove a previously whitelisted IP address, revoking its access to use proxies without authentication credentials.

Body·
application/json
  • ipAddress
    Type: string · ipAddress
    required

    The IPv4 address of the whitelisted IP you want to delete.

  • proxyType
    Type: integer · proxyType
    required

    The proxy type to which the whitelisted IP should be applied. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter.

Responses
  • application/json
Request Example for post/uta-api/v1/ipWhite/delete
curl https://www.utaproxy.com/api/uta-api/v1/ipWhite/delete \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'apiKey: YOUR_SECRET_TOKEN' \
  --data '{
  "proxyType": 1,
  "ipAddress": ""
}'
Success

List Whitelisted IP

Get a list of all the IP addresses that have been whitelisted for proxy use.

Query Parameters
  • proxyType
    Type: integer · proxyType

    The proxy type to filter the list by. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter. If omitted, all proxy types will be returned.

Responses
  • application/json
Request Example for get/uta-api/v1/ipWhite/list
curl https://www.utaproxy.com/api/uta-api/v1/ipWhite/list \
  --header 'apiKey: YOUR_SECRET_TOKEN'
{
  "whiteList": [
    {
      "clientIp": "1.1.1.1",
      "proxyType": "1 - Rotating Residential",
      "remark": "home"
    }
  ]
}

Sub Account (Collapsed)

Add Sub Account

Create a new sub-account (sub-user) under your main account.

Body·
application/json
  • password
    Type: string · password
    required

    The password for the sub-account. It must be between 6 and 8 characters, containing only letters or digits.

  • proxyType
    Type: integer · proxyType
    required

    The proxy type for the sub-account. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter.

  • username
    Type: string · username
    required

    The username for the sub-account. It must be between 6 and 10 characters or digits.

  • remarks
    Type: string · remarks

    Optional remarks or description for the sub-account.

  • trafficLimit
    Type: string · trafficLimit

    The traffic limit for the sub-account in MB. To set no limit, omit this field or leave it blank.

Responses
  • application/json
Request Example for post/uta-api/v1/subAccount/add
curl https://www.utaproxy.com/api/uta-api/v1/subAccount/add \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'apiKey: YOUR_SECRET_TOKEN' \
  --data '{
  "proxyType": 1,
  "username": "",
  "password": "",
  "trafficLimit": "",
  "remarks": ""
}'
Success

Update Sub Account

Update an existing sub-account under your main account.

Body·
application/json
  • proxyType
    Type: string · proxyType
    required

    The proxy type for the sub-account. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter.

  • username
    Type: string · username
    required

    The username of the sub-account you want to update. It must be between 6 and 10 characters or digits.

  • password
    Type: string · password

    The new password for the sub-account. It must be between 6 and 8 characters, containing only letters or digits.

  • remarks
    Type: string · remarks

    Optional remarks or description for the sub-account.

  • trafficLimit
    Type: string · trafficLimit

    The new traffic limit for the sub-account in MB. To set no limit, omit this field or leave it blank.

Responses
  • application/json
Request Example for patch/uta-api/v1/subAccount/edit
curl https://www.utaproxy.com/api/uta-api/v1/subAccount/edit \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'apiKey: YOUR_SECRET_TOKEN' \
  --data '{
  "username": "",
  "password": "",
  "trafficLimit": "",
  "remarks": "",
  "proxyType": ""
}'
Success

Delete Sub Account

Delete an existing sub-account under your main account.

Body·
application/json
  • proxyType
    Type: integer · proxyType
    required

    The proxy type for the sub-account. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter.

  • username
    Type: string · username
    required

    The username of the sub-account you want to delete. It must be between 6 and 10 characters or digits.

Responses
  • application/json
Request Example for delete/uta-api/v1/subAccount/delete
curl https://www.utaproxy.com/api/uta-api/v1/subAccount/delete \
  --request DELETE \
  --header 'Content-Type: application/json' \
  --header 'apiKey: YOUR_SECRET_TOKEN' \
  --data '{
  "proxyType": 1,
  "username": ""
}'
Success

Get Sub Account List

List all of your active sub-accounts under your main account.

Query Parameters
  • proxyType
    Type: integer · proxyType

    The proxy type you want to query. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter. Omit this parameter or leave it blank to list sub-accounts under all proxy types.

Responses
  • application/json
Request Example for get/uta-api/v1/subAccount/list
curl https://www.utaproxy.com/api/uta-api/v1/subAccount/list \
  --header 'apiKey: YOUR_SECRET_TOKEN'
{
  "account": {
    "accountNum": 1,
    "account": [
      {
        "authAccount": "testUser",
        "authPassword": "testPass",
        "useLimit": "5.0",
        "useTraffic": "0.0",
        "remark": "test",
        "proxyType": "1 - Rotating Residential"
      }
    ]
  }
}

Get Sub Account History

Get a list of all your sub-accounts, including those that have been deleted

Query Parameters
  • proxyType
    Type: integer · proxyType

    The proxy type you want to query. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter. Omit this parameter or leave it blank to list sub-accounts under all proxy types.

Responses
  • application/json
Request Example for get/uta-api/v1/subAccount/listHistory
curl https://www.utaproxy.com/api/uta-api/v1/subAccount/listHistory \
  --header 'apiKey: YOUR_SECRET_TOKEN'
{
  "accountNum": 1,
  "data": [
    {
      "authAccount": "testUser",
      "authPassword": "testPass",
      "useLimit": "1.0",
      "useTraffic": "0.0",
      "remark": "test",
      "proxyType": "1 - Rotating Residential"
    }
  ]
}

Get Sub Account Info

Get detailed information about the specified sub-account.

Query Parameters
  • proxyType
    Type: integer · proxyType
    required

    The proxy type you want to query. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter.

  • username
    Type: string · username
    required

    The username of the sub-account that you want to query.

Responses
  • application/json
Request Example for get/uta-api/v1/subAccount/info
curl 'https://www.utaproxy.com/api/uta-api/v1/subAccount/info?proxyType=1&username=' \
  --header 'apiKey: YOUR_SECRET_TOKEN'
{
  "authAccount": "testUser",
  "authPassword": "testPass",
  "useLimit": "5.0",
  "useTraffic": "0.0",
  "remark": "test",
  "proxyType": "1 - Rotating Residential"
}

Get Sub Account Usage

Get the usage of the sub-account.

Query Parameters
  • proxyType
    Type: integer · proxyType
    required

    The proxy type you want to query. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter.

  • username
    Type: string · username
    required

    The username of the sub-account you want to query.

Responses
  • application/json
Request Example for get/uta-api/v1/subAccount/planUsage
curl 'https://www.utaproxy.com/api/uta-api/v1/subAccount/planUsage?proxyType=1&username=' \
  --header 'apiKey: YOUR_SECRET_TOKEN'
{
  "authAccount": "testUser",
  "useLimit": "5.0",
  "useTraffic": "0.0"
}

Update Sub Account Traffic Limit

Update the taffic limit of the sub-account.

Body·
application/json
  • proxyType
    Type: integer · proxyType
    required

    The proxy type to modify. Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter.

  • trafficLimit
    Type: number · trafficLimit
    required

    The new traffic limit for the sub-account, in GB.

  • username
    Type: string · username
    required

    The username of the sub-account you want to update.

Responses
  • application/json
Request Example for patch/uta-api/v1/subAccount/plan/traffic
curl https://www.utaproxy.com/api/uta-api/v1/subAccount/plan/traffic \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'apiKey: YOUR_SECRET_TOKEN' \
  --data '{
  "proxyType": 1,
  "username": "",
  "trafficLimit": 1
}'
Success